<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class SongArrangementGroup extends Model
{
    use HasFactory;

    protected $fillable = [
        'song_arrangement_id',
        'song_group_id',
        'order',
    ];

    public function arrangement(): BelongsTo
    {
        return $this->belongsTo(SongArrangement::class, 'song_arrangement_id');
    }

    public function group(): BelongsTo
    {
        return $this->belongsTo(SongGroup::class, 'song_group_id');
    }
}
